curl --request GET \
--url https://api.staging.payrails.io/token/connections/{connectionId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/token/connections/{connectionId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/token/connections/{connectionId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paging": {
"next": "<string>"
},
"results": [
{
"name": "Fetch reservations",
"description": "Get all reservations",
"publicUrl": "/v1/reservations",
"rulesCount": 123,
"anyOf": {
"proxyUrl": "https://merchant.com/v2/reservations",
"trustedDestinationHosts": [
"stripe.com",
"example.com"
]
},
"status": "draft"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}List connection versions for connection
Fetch a list of connection versions for the given connectionId.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Response
Success.
List of results for the query.
Hide child attributes
Hide child attributes
Name of connection version.
"Fetch reservations"
Description of connection version.
"Get all reservations"
Public url using which connection can be invoked.
"/v1/reservations"
Total rules count that are defined as part of this version.
Hide child attributes
Hide child attributes
The proxy URL is primarily the URL where requests are forwarded after tokenization or de-tokenization. It applies to inbound connections.
"https://merchant.com/v2/reservations"
The destination hosts are a list of whitelisted hosts to which outbound connections can be proxied.
["stripe.com", "example.com"]
"draft"